Bug 1126003 - users don't get moved to a cgroup after reboot - restart cgred fixes it
Summary: users don't get moved to a cgroup after reboot - restart cgred fixes it
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libcgroup
Version: 6.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Chaloupka
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 14:50 UTC by lejeczek
Modified: 2015-11-09 13:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 13:06:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description lejeczek 2014-08-01 14:50:49 UTC
Description of problem:


very similar to - https://bugzilla.redhat.com/show_bug.cgi?id=961844
albeit does not look like user db would be the cause for cgred starts after slapd

Version-Release number of selected component (if applicable):

libcgroup-debuginfo-0.37-7.1.el6.x86_64
libcgroup-0.40.rc1-5.el6.x86_64
libcgroup-pam-0.40.rc1-5.el6.x86_64

How reproducible:

where to look? what to check?

many thanks

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jan Chaloupka 2014-08-04 10:10:28 UTC
Hi, lejeczek,

I don't understand your description. Are you saying it is wrong to start cgred after slapd (contradicting #961844 ?). Can you be more specific what is goind wrong and what is expecting result? How reproducible is not really a place to ask question of yours.

Thanks
Jan

Comment 3 lejeczek 2014-08-04 11:05:45 UTC
no, sorry, I say that my problem now is like in per my earlier bug, meaning symptoms are very similar - after system startup users sessions would not go into relevant cgroup but I restart cgred and everything is as desired.

but not sure about the reason for slapd starts before cgred (as per resolution to that other bugreport of mine). And it has been fine, no problem after solution was applied but recently it broke.

Comment 4 Jan Chaloupka 2014-08-04 12:18:22 UTC
If I understand correctly, slapd now start before cgred?

From your previous bug: "in other words make sure cgred starts afterwards"

What is then the right order? slapd before cgred (fixed in #961844) or slapd after cgred (this bug)?

Comment 5 lejeczek 2014-08-04 13:46:39 UTC
yes, slapd before cgred and it had been working for a longer while since it was reordered. Only recently it is not working. It's a computer system that I unfortunately cannot reboot too often but if I can what should I look for?
There is no indication that any initd service failed at bootup, and users don't log in immediately neither but when they do they don't get moved to cgroup and cgred restart fixes the problem. (like before init daemons got reordered).

Comment 6 Jan Chaloupka 2014-08-05 05:31:10 UTC
Thank you for clarifying. Have you tried the following commands?

$ chkconfig --list cgconfig
$ chkconfig --list cgred

Are these services enabled? If you run above commands, are there all levels off or are some on? If you are running in multiuser mode with GUI, runlevel 5 is interesting for you. Description of others is here for example:

http://en.wikipedia.org/wiki/Runlevel

To enable cgconfig and cgred for runlevel 5, run the following:
# chkconfig cgconfig on --level 5
# chkconfig cgred on --level 5

Interesting article about enabling/disabling services is here:

http://www.aboutlinux.info/2006/04/enabling-and-disabling-services-during_01.html

Comment 7 Jan Chaloupka 2014-08-05 05:33:47 UTC
Enabling the service will cause it to start after system start/reboot. The problem seems to be the service is not started after system reboot. If this is not the case, let me know.

Cheers
Jan

Comment 8 lejeczek 2015-11-09 12:59:59 UTC
I think we can close, old, I cannot re-test/validate it any more.

Comment 9 Jan Chaloupka 2015-11-09 13:07:19 UTC
Thanks for letting me know.


Note You need to log in before you can comment on or make changes to this bug.